# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cautious-file

Name:           ghc-%{pkg_name}
Version:        1.0.2
Release:        3%{?dist}
Summary:        Write files cautiously

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
Ways to write a file cautiously, to reduce the chances of problems
such as data loss due to crashes or power failures. If the posix flag
is enabled, posix-specific functions are used to reduce the chance of
data loss further.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 1.0.2-2
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.0.2-1
- update to 1.0.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 1.0.1-3
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 24 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1-1
- Update to 1.0.1

* Sat Feb 25 2012 Jens Petersen <petersen@redhat.com> - 1.0-2
- depends on bytestring
- simplify summary and improve description format

* Sat Feb 11 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0-1
- spec file template generated by cabal2spec-0.25.4
- package update to 1.0

* Sun Dec 19 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.1.5-1
- Modified summary and description. License is BSD 3 clause variant.

* Sun Dec 19 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.3

